Bug 1157894 - F20 - Yubikey U2F (FIDO) Not Supported
Summary: F20 - Yubikey U2F (FIDO) Not Supported
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ykpers
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maxim Burgerhout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-28 01:24 UTC by Gerald Cox
Modified: 2014-12-22 10:03 UTC (History)
4 users (show)

(edit)
Clone Of:
: 1177014 (view as bug list)
(edit)
Last Closed: 2014-12-04 06:23:28 UTC


Attachments (Terms of Use)

Description Gerald Cox 2014-10-28 01:24:57 UTC
Description of problem:

Yubikey U2F functionality is not working on Fedora.  Discussion of issue can be found here:
http://forum.yubico.com/viewtopic.php?f=26&t=1535


Version-Release number of selected component (if applicable):
ykpers-1.15.1-1.fc20.x86_64

How reproducible:
Register and test key at this website using Google Chrome with Fido support extension enabled:
http://demo.yubico.com/u2f

Steps to Reproduce:
Follow instructions on website

Actual results:
Yubikey not recognized

Expected results:
Successful registration and authentication.

Additional info:

/usr/lib/udev/rules.d/69-yubikey.rules needs to be changed to allow
for U2F support.  

change line 7 so it reads as follows:

ATTRS{idVendor}=="1050", ATTRS{idProduct}=="0010|0110|0111|0113|0114|0115|0116|0120", \

Comment 1 Wolfgang Rupprecht 2014-11-09 00:36:45 UTC
While you are at it, you might want to add the Plugups version of the U2F key also.  (Love that product number.  Someone has a sense of humor.)

ATTRS{idVendor}=="2581", ATTRS{idProduct}=="f1d0", \
    ENV{ID_SECURITY_TOKEN}="1"

Comment 2 Fedora Update System 2014-11-23 20:38:56 UTC
ykpers-1.16.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.fc21

Comment 3 Fedora Update System 2014-11-23 20:39:23 UTC
ykpers-1.16.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.fc20

Comment 4 Fedora Update System 2014-11-23 20:39:49 UTC
ykpers-1.16.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.fc19

Comment 5 Fedora Update System 2014-11-23 20:40:13 UTC
ykpers-1.16.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.el7

Comment 6 Fedora Update System 2014-11-23 20:41:39 UTC
ykpers-1.16.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.el6

Comment 7 Fedora Update System 2014-11-23 20:42:49 UTC
ykpers-1.16.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ykpers-1.16.1-1.el5

Comment 8 Fedora Update System 2014-11-24 21:00:09 UTC
Package ykpers-1.16.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ykpers-1.16.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15677/ykpers-1.16.1-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-12-04 06:23:28 UTC
ykpers-1.16.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-04 06:26:45 UTC
ykpers-1.16.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-06 10:50:41 UTC
ykpers-1.16.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-11 06:32:02 UTC
ykpers-1.16.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-11 06:33:51 UTC
ykpers-1.16.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-11 06:34:34 UTC
ykpers-1.16.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Jeremy Fitzhardinge 2014-12-17 06:20:02 UTC
ykpers.x86_64 0:1.16.1-1.fc21 does not contain the updated /usr/lib/udev/rules.d/69-yubikey.rules matching a device ID of "0120".

Comment 16 Michele Baldessari 2014-12-22 10:03:04 UTC
Hi Jeremy,

as this bug is closed and done. Can you open a new one so we can track this USB
id issue?

cheers,
Michele


Note You need to log in before you can comment on or make changes to this bug.